var d=[];var dd=[];var dothis=[];
var pheight;var ptitle;var pname;var pnameonly;var pmsg;var pava;var pfrlink;var something;var another;var xml;var minexml;
var somethingmore = '';var psubject = '';var s = 'a b.unread';
var k=0;var pcount=0;
var pcurtime;var pdate;var pmonth;var pmontharray;var ppastyear;var pday1;var pday2;var pyear;var ptime;
if(getCookie('missedpms')){var howmany = getCookie('missedpms')*1;}else{var howmany = 0};
var isonmouse; var isonfocus;
    document.onmouseover=function() {
        isonmouse=true;
    };
    document.onmouseout=function() {
        isonmouse=false;
    };
      
    document.onfocus=function() {
        isonfocus=true;
    };
    document.onblur=function() {
        isonfocus=false;
    };
    
function getnewpms(){
$.get("/index/14", function(data){
    if($(s, data).size() > 0){
    k=0;
    d=[];
      $(s, data).each(function(){dd[k]=$(this).parent().parent().parent();d[k]=$(this).parent().parent();k++;howmany++;});
      setCookie('missedpms',howmany,365);
      for(k=0;k<d.length;k++)
        {	
					dothis[pcount]=true;
					
					pdate= new Date();
					pmontharray = ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"];
					pyear=pdate.getFullYear()+'';
					pday1 = pdate.getDate()+'';
					if (pday1.length==1){pday1='0'+pday1};
					pday2 = pdate.getDate()-1;
					if (pday2==0)
						{pday2=31;
							if(pdate.getMonth()-1==-1)
								{pmonth=11;ppastyear=pyear*1-1+''}
							else
								{pmonth=pmontharray[pdate.getMonth()-1]}
						}
						else
						{
							pmonth=pdate.getMonth();ppastyear=pyear;
						};
					if (pday2.length==1){pday2='0'+pday2};
					pcurtime = pday1+' '+pmontharray[pdate.getMonth()]+' '+pyear.substring(2);
					ppasttime= pday2+' '+pmontharray[pmonth]+' '+ppastyear.substring(2);
					ptime=$('td',dd[k]).eq(2).text();
					if(ptime.search(pcurtime)!=-1){ptime = 'Сегодня'+ptime.substring(ptime.search(','))};
					if(ptime.search(ppasttime)!=-1){ptime = 'Вчера'+ptime.substring(ptime.search(','))};

          ptitle='<a class="p" onclick="window.open(\''+$('a',d[k]).eq(0).attr('href')+'\',\'pmw'+pcount+'\',\'scrollbars=1,top=0,left=0,resizable=1,width=680,height=350\'); return false;" style="text-decoration:underline;">'+$('b',d[k]).html()+'</a>';
          pname='<a target="_blank" href=\x22'+$('a',d[k]).eq(1).attr('href')+'\x22>'+$('a',d[k]).eq(1).html()+'</a>';
          pnameonly=$('a',d[k]).eq(1).text();
          plink=$('a',d[k]).eq(0).attr('href');
          
          minexml = $.ajax({
            type: 'GET',
            url: '/api/index/8',
            dataType: 'xml',
            async: false
          }).responseText;
          puserid = $(minexml).find('struct:first member:contains("USER_ID")').find('value').text();
          xml = $.ajax({
            type: 'GET',
            url: '/api/index/8-0-'+pnameonly,
            dataType: 'xml',
            async: false
          }).responseText;

          pava = $(xml).find('struct:first member:contains("USER_AVATAR")').find('string').text();
          if(pava.length<1){pava=noava};
          
          $.ajax(
          {
            type: 'GET',
            url: $('a',d[k]).eq(0).attr('href'),
            dataType: 'html',
            async: false,
            success: function(data)
            {
              if($('b',d[k]).html().search('Репутация была изменена')!=-1)
                {
									something=pnameonly+' изменил вам репутацию';
									var rs = $('b',data).filter(function(){return $(this).text()==pnameonly}).parent().html();
									pmsg=rs.substring(rs.search(/<br>/i)+8,rs.search(/<br><br>Добавил:/i))+'<br><br><b>Комментарий:</b> '+rs.substring(rs.search(/<br><br>Комментарий:/i)+20,rs.search(/<br><br>Всего/i));
									if(pmsg.search('Уровень репутации был повышен')!=-1){ptitle='Повышение репутации'}else{if(pmsg.search('Уровень репутации был понижен')!=-1){ptitle='Понижение репутации'}else{ptitle='Репутация не была изменена'}}
									another='<a onclick="window.open(\'/index/14-0-0-1#user='+pnameonly+'\',\'pmw'+pcount+'\',\'scrollbars=1,top=0,left=0,resizable=1,width=680,height=350\'); return false;" class="p" style="text-decoration:underline;">Написать ответ</a>'
									somethingmore='[ <a class="p" style="text-decoration:underline;" onclick="new _uWnd(\'Rh\',\' \',400,250,{autosize:1,maxh:300,minh:100,closeonesc:1},{url:\'/index/9-'+puserid+'\'});return false;">История репутации</a> ]<br><br>';
									pheight=220;
									psubject='Изменение репутации';
									pfrlink='/index/14-0-0-1';
								}
              else
                {
                  if($('b',d[k]).html().search('Новая награда')!=-1)
                    {
                      something=pnameonly+' прислал вам награду';
                      pmsg = '<div>'+$('img',$('a',data).filter(function(){return $(this).text()==pnameonly}).eq(1).parent()).parent().html()+'</div>';
                      ptitle='Новая награда';
                      another='<a onclick="window.open(\'/index/14-0-0-1#user='+pnameonly+'\',\'pmw'+pcount+'\',\'scrollbars=1,top=0,left=0,resizable=1,width=680,height=350\'); return false;" class="p" style="text-decoration:underline;">Написать ответ</a>'
											somethingmore='[ <a class="p" style="text-decoration:underline;" onclick="new _uWnd(\'AwL\',\'Список наград\',380,200,{autosize:1,maxh:300,minh:100,closeonesc:1},{url:\'/index/54-'+puserid+'\'});return false;">Список наград</a> ]<br><br>';
											pheight=200;
											psubject='Награда';
											pfrlink='/index/14-0-0-1';
                    }
                  else
                    {
                      something='Вам пришло ЛС от '+pnameonly;
                      var jk = $('#snewmes',data).parent().html();
                      var j = jk.search(/<hr/i);
                      if(jk.search(/<div id="snewmes"/i)>0){var fk=jk.search(/<div id="snewmes"/i)}else{var fk=jk.search(/<div align="right"/i)};
                      if(j<0){pmsg=$('#snewmes',data).parent().text().replace(' [ Написать ответ ]','');}else{$('#pmwtf').html(jk.substring(j+4,fk-1));pmsg=$('#pmwtf').text()};
                      if(pmsg.length>165){
												pmsg=pmsg.substring(0,100)+'...'
											};
                      another='<a onclick="window.open(\''+$('a',d[k]).eq(0).attr('href')+'#answer\',\'pmw'+pcount+'\',\'scrollbars=1,top=0,left=0,resizable=1,width=680,height=350\'); return false;" class="p" style="text-decoration:underline;">Написать ответ</a>';
                      psubject='';
                      somethingmore='';
                      pheight=175;
                      pfrlink=plink;
                    }
                };
              pfastreply = '<div class="invis" id="pfrload'+pcount+'"><img src="'+pimages[0]+'"> Отправляется...</div><div class="invis" id="pfastreply'+pcount+'"><textarea id="pfrarea'+pcount+'"></textarea><input id="dopfs'+pcount+'" type="button" onclick="if($(\'#pfrarea'+pcount+'\').val().length>0){$(this).attr(\'disabled\',true);$(\'#pfastreply'+pcount+'\').hide();$(\'#pfrload'+pcount+'\').show();psendfr(\''+pnameonly+'\',\''+pfrlink+'\',\''+pcount+'\',\''+psubject+'\')}" value="Отправить"> <input type="button" value="Отменить" onclick="$(\'#pfastreplybtn'+pcount+'\').show();$(\'#preply'+pcount+'\').show();$(\'#pfastreply'+pcount+'\').hide()"></div><div id="pfastreplybtn'+pcount+'">[ <a class="p" style="text-decoration:underline;" onclick="$(\'#pfastreplybtn'+pcount+'\').hide();$(\'#preply'+pcount+'\').hide();$(\'#pfastreply'+pcount+'\').slideDown()">Быстрый ответ</a> ]</div>';
              
              _uWnd.alert('<div onmouseover="if(dothis['+pcount+']==true){howmany--;setCookie(\'missedpms\',howmany,365);};dothis['+pcount+']=false;"><div style="float:left;width:190px;max-width:190px;overflow-x:hidden;"><b>'+ptitle+'</b><br><br>'+pmsg+'<br><br><span id="preply'+pcount+'">'+somethingmore+'[ '+another+' ]<br><br></span>'+pfastreply+'</div><div align="center" style="float:right;"><b>'+pname+'</b><br><br><img style="max-width:100px;max-height:100px;" src="'+pava+'"></div></div>',something+' ('+ptime+')',{w:330,h:pheight,tm:0,align:'left'});
              
            }
          });
           pcount++;
        };
 }

 });
};

setInterval(function(){if(isonfocus==true || isonmouse==true){getnewpms()}},25000);getnewpms();

if(getCookie('missedpms') && getCookie('missedpms')*1>0){
	var okon = ['ое','ых','ие','ия','ий'];
	if(getCookie("missedpms")*1==1){ending1=okon[0];ending2=okon[2]}else{if(getCookie("missedpms")*1==2 || getCookie("missedpms")*1==3){ending1=okon[1];ending2=okon[3]}else{ending1=okon[1];ending2=okon[4]}};
	_uWnd.alert('Вы, возможно, пропустили '+getCookie("missedpms")+' личн'+ending1+' сообщен'+ending2+'<br><br>[ <a class="p" style="text-decoration:underline;" onclick="howmany=0;setCookie(\'missedpms\',0,365);eraseCookie(\'missedpms\');window.open(\'/index/14\',\'pmw\',\'scrollbars=1,top=0,left=0,resizable=1,width=680,height=350\'); return false;howmany=0;">Просмотреть все</a> ]<br><br>[ <a class="p" style="text-decoration:underline;" onclick="howmany=0;setCookie(\'missedpms\',0,365);eraseCookie(\'missedpms\');howmany=0;">Обнулить счетчик</a> ]','Пропущенные ЛС',{w:300,h:120,tm:0});
	
};

function psendfr(name,link,count,subj){
	
		$.get(link,function(d){
			var ssid = $('[name=ssid]',d).val();
			var pmh = $('[name=pmh]',d).val();
			var s = $('[name=s]',d).val();
			if(subj.length==0){var subject = $('[name=subject]',d).val();}else{var subject = 'Re: '+subj;};
			$.post('/index/',
				{
				message: $('#pfrarea'+count).val(),
				subject: subject,
				a:18,
				s:name,
				pmh:pmh,
				hl:36,
				ssid:ssid
				},
				function(r){
				if($(r).text().search('успешно')!=-1)
					{
						$('#pfrload'+count).html('<img src="'+pimages[1]+'"> Отправлено')
					}
				else
					{
						$('#pfrload'+count).html('<img src="'+pimages[2]+'"> Ошибка');
					}
				}
			)
		})

}


